import { ColumnType, Formatter, LayerSpec, Margins, Scale, SizedConfig } from '../types';
export declare class PlotEnv {
    private _config;
    private _xDomain;
    private _yDomain;
    private fns;
    constructor();
    get config(): SizedConfig | null;
    set config(config: SizedConfig);
    get margins(): Margins;
    get innerWidth(): number;
    get innerHeight(): number;
    get xTicks(): number[];
    get yTicks(): Array<number | string>;
    get xScale(): Scale<number, number>;
    get yScale(): Scale<number, number>;
    get yColumnType(): ColumnType;
    set yColumnType(columnType: ColumnType);
    get xDomain(): number[];
    set xDomain(newXDomain: number[]);
    get yDomain(): number[];
    set yDomain(newYDomain: number[]);
    get xTickFormatter(): Formatter;
    get yTickFormatter(): Formatter;
    getSpec(layerIndex: number): LayerSpec;
    getFormatterForColumn(colKey: string): Formatter;
    resetDomains(): void;
    private get isXControlled();
    private get isYControlled();
    private getXDomain;
    private getYDomain;
    private getColumnTypeByKey;
    private get rangePadding();
}
